# Class Step

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents an individual step, typically within a sequence or workflow.

    public class Step

Inheritance
  object
  Step

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Class

    public string? Class { get; set; }

#### Property Value

string

### DesignProperties

    public UiFontData? DesignProperties { get; set; }

#### Property Value

UiFontData

### RotationTime

    public int? RotationTime { get; set; }

#### Property Value

int?

### Text

    public string? Text { get; set; }

#### Property Value

string

### Type

    public DisplayConfigEnums.StepType? Type { get; set; }

#### Property Value

DisplayConfigEnums.StepType?